Page MenuHomePhabricator

Use consistent parameter and variable names in DI
Closed, ResolvedPublic2 Story Points

Description

Inconsistency == unnecessary cognitive load.

Deprecate paymentmethod, submethod, and currency in favor of payment_method, payment_submethod, and currency_code.

Update: We had to fix all the incoming links because they were populating payment_method with a weird dotted version. Now that that's done, delete the legacy code.

Event Timeline

Ejegg created this task.Mar 25 2016, 5:28 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 25 2016, 5:28 PM

Change 279641 had a related patch set uploaded (by Ejegg):
Prefer canonical parameter names in form chooser

https://gerrit.wikimedia.org/r/279641

Ejegg set the point value for this task to 1.

Change 279641 merged by jenkins-bot:
Prefer canonical parameter names in form chooser

https://gerrit.wikimedia.org/r/279641

Ejegg added a comment.Mar 30 2016, 9:49 PM

Next step: delete the legacy code

Ejegg updated the task description. (Show Details)Mar 30 2016, 9:52 PM
Ejegg changed the point value for this task from 1 to 2.
Ejegg moved this task from Done to Doing on the Fundraising Sprint Freshmaking board.

Change 280696 had a related patch set uploaded (by Ejegg):
Remove deprecated parameters

https://gerrit.wikimedia.org/r/280696

Change 280697 had a related patch set uploaded (by Ejegg):
Update rtbt link for new parameters

https://gerrit.wikimedia.org/r/280697

Change 280696 merged by jenkins-bot:
Remove deprecated parameters

https://gerrit.wikimedia.org/r/280696

Change 280697 merged by jenkins-bot:
Update rtbt link for new parameters

https://gerrit.wikimedia.org/r/280697

Ejegg closed this task as Resolved.Apr 11 2016, 4:25 PM